SSSD(8)

NAME
sssd - Daemon de Serviços de Segurança do Sistema

SYNOPSIS

sssd [opções]

DESCRIÇÃO

O SSSD fornece um conjunto de daemons para gerir o acesso a directórios remotos e mecanismos de autenticação. Fornece uma interface de NSS e PAM virada para o sistema e um sistema backend adaptável para ligar a múltiplas fontes de conta diferentes assim como uma interface D-Bus. É também a base para fornecer auditoria de cliente e serviços de política para projetos como o FreeIPA. Fornece uma base de dados mais robusta para guardar utilizadores locais assim como dados estendidos de utilizador.

OPÇÕES

-d,--debug-level NÍVEL
    O SSSD suporta duas representações para especificar o nível de depuração. A mais simples é para especificar um valor decimal de 0-9, o que representa activar esse nível e todas as mensagens de depuração de baixo-nível. A opção mais compreensiva é especificar uma máscara de bits hexadecimal para activar ou desactivar níveis específicos (tais como você desejar suprimir um nível).

    Por favor note que cada serviço SSSD regista para o seu próprio ficheiro de registo. E também por favor note que activar “debug_level” na secção “[sssd]” apenas activa a depuração só para o próprio processo sssd, não para os processos do respondedor ou provedor. O parâmetro “debug_level” deve ser adicionado a todas as secções que você deseje que produzam registos de depuração.

    Adicionalmente a alterar o nível de registo no ficheiro de configuração usando o parâmetro “debug_level”, o qual é persistente, mas requer que o SSSD reinicie, é também possível alterar o nível de depuração durante a execução usando a ferramenta sss_debuglevel(8).

    Níveis de depuração actualmente suportados:

    0, 0x0010: Falhas fatais. Qualquer coisa que previna o SSSD de arrancar ou causa que este cesse o funcionamento.

    1, 0x0020: Falhas críticas. Um erro que não mata o SSSD, mas um que indica que pelo menos uma grande funcionalidade não vai funcionar apropriadamente.

    2, 0x0040: Falhas sérias. Um erro que anuncia que um pedido ou operação particular falhou.

    3, 0x0080: Falhas menores. Estes são os erros que se filtrariam para causar a falha de operação de 2.

    4, 0x0100: Definições de configuração.

    5, 0x0200: Dados de função.

    6, 0x0400: Mensagens de seguimento para funções de operação.

    7, 0x1000: Mensagens de seguimento para funções de controle internas.

    8, 0x2000: Conteúdos de variáveis internas de função que podem ser interessantes.

    9, 0x4000: Informação de seguimento de baixo-nível extremo.

    9, 0x20000: Dados de performance e estatísticos, por favor note que devido ao modo que os pedidos são processados internamente o tempo de execução do registo de um pedido pode ser mais longo do que realmente é.

    10, 0x10000: Ainda mais informação de seguimento da libldb de baixo-nível. Quase nunca realmente necessário.

    Para registar os níveis de depuração de máscara de bits requeridos, simplesmente adicione os seus números juntamente como mostrado nos seguintes exemplos:

    Exemplo: Para registar falhas fatais, falhas críticas, falhas sérias e dados de funcionamento use 0x0270.

    Exemplo: Para registar falhas fatais, definições de configuração, dados de função, mensagens de seguimento para funções de controle internas, use 0x1310.

    Nota: O formato bitmask dos níveis de depuração foi introduzido em 1.7.0.

    Predefinição: 0x0070 (isto é, falhas fatais, críticas e sérias; corresponde à definição 2 na notação decimal)

--debug-timestamps=modo
    1: Adiciona uma marca horária às mensagens de depuração

    0: Desactiva a marca horária nas mensagens de depuração

    Predefinição: 1

--debug-microseconds=modo
    1: Adiciona micro-segundos à marca horária nas mensagens de depuração

    0: Desactiva os micro-segundos na marca horária

    Predefinição: 0

--logger=valor
    Localização para onde o SSSD irá enviar mensagens de registo.

    stderr: Redireciona as mensagens de depuração para a saída standard de erro.

    files: Redireciona as mensagens de depuração para os ficheiros de registo (log). Por predefinição, os ficheiros log são armazenados em /var/log/sssd e existem ficheiros log separados para dada serviço e domínio do SSSD.

    journald: Redireciona as mensagens de depuração para o journald do systemd

    Predefinição: não definida (regressa a journald se disponível, caso contrário para o stderr)

-D,--daemon
    Torna-se um daemon após o arranque.

-i,--interactive
    Corre em primeiro plano, não se torna um daemon.

-c,--config
    Especifica um ficheiro de configuração não-predefinido. A predefinição é /etc/sssd/sssd.conf. Para consulta na sintaxe do ficheiro de configuração e das opções, consulte o manual do sssd.conf(5).

-?,--help
    Exibe a mensagem de ajuda e sai.

--version
    Escreve o número da versão e termina.

SINAIS

SIGTERM/SIGINT
    Informa o SSSD para graciosamente terminar todos os seus processos filhos e depois desligar o monitor.

SIGHUP
    Diz ao SSSD para parar de escrever as descrições no seu ficheiro de depuração actual e para fechar e reabrir-lo. Isto destina-se a facilitar a rotação de registos com programas como o logrotate.

SIGUSR1
    Diz ao SSSD para simular a operação offline na duração do parâmetro “offline_timeout”. Isto é útil para testes. O sinal pode ser enviado seja para o processo sssd ou para qualquer processo sou_sssd directamente.

SIGUSR2
    Diz ao SSSD para ir online imediatamente. Isto é útil para testes. O sinal pode ser enviado seja para o processo sssd ou para qualquer processo sssd_be directamente.

SIGRTMIN+1
    Diz ao SSSD para reagendar as tarefas periódicas. O watchdog interno envia este sinal aos provedores quando é detetada uma mudança de relógio apesar de poder ser enviado a qualquer processo sssd_be diretamente.

ESTADO DE SAÍDA

0
    O SSSD fechou graciosamente.

1
    Configuração ou opção de linha de comandos má.

2
    Erro de alocação de memória.

6
    O SSSD já está em execução.

Outros códigos
    Outros códigos denotam erros diferentes, mais provavelmente sobre direitos de acesso requeridos em falta. Veja SSSD e logs do sistema para detalhes.

NOTAS

Se a variável de ambiente SSS_NSS_USE_MEMCACHE for definida para "NO", as aplicações do cliente não irão usar a rápida cache em-memória.

Se a variável de ambiente SSS_LOCKFREE estiver definida para "NO", os pedidos de vários segmentos de uma única aplicação irão ser dispostos em série.

VEJA TAMBÉM

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-ldap-attributes(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-idp(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(1), sss_ssh_knownhosts(1), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

O autor do SSSD - https://github.com/SSSD/sssd/